if(isObject(JSP_remPass))
	JSP_remPass.delete();

new GuiCheckBoxCtrl(JSP_remPass)
{
	profile = "GuiCheckBoxProfile";
	horizSizing = "right";
	vertSizing = "bottom";
	position = "71 80";
	extent = "140 30";
	minExtent = "8 2";
	visible = "1";
	command = "JSP_remPass.onCheck();";
	text = "Remember Password";
	groupNum = "-1";
	buttonType = "ToggleButton";
};
JoinServerPassGUI.getObject(0).add(JSP_remPass);

function JSP_remPass::onCheck(%this)
{
	if(%this.getValue())
		return;

	%js = JS_serverList;
	%ip = getField(%js.getRowText(%js.getRowNumByID(%js.getSelectedID())),9);
	%ip = strReplace(%ip,".","_");
	%ip = strReplace(%ip,":"," ");
	%path = "config/client/passwords/" @ %ip @ ".txt";

	if(isFile(%path))
		fileDelete(%path);
}

package RemPass
{
	function Gameconnection::onConnectRequestRejected(%a,%b)
	{
		parent::onConnectRequestRejected(%a,%b);

		%js = JS_serverList;
		%ip = getField(%js.getRowText(%js.getRowNumByID(%js.getSelectedID())),9);
		%ip = strReplace(%ip,".","_");
		%ip = strReplace(%ip,":"," ");
		%path = "config/client/passwords/" @ %ip @ ".txt";

		if(isFile(%path))
			fileDelete(%path);
	}

	function JoinServerPassGui::onWake(%this)
	{
		JSP_remPass.setValue(0);
		JSP_txtPass.setValue("");

		%js = JS_serverList;
		%ip = getField(%js.getRowText(%js.getRowNumByID(%js.getSelectedID())),9);
		%ip = strReplace(%ip,".","_");
		%ip = strReplace(%ip,":"," ");
		%path = "config/client/passwords/" @ %ip @ ".txt";

		if(!isFile(%path))
			return;

		%file = new fileObject();
		%file.openForRead(%path);
		%pass = %file.readLine();
		%file.close();
		%file.delete();

		JSP_txtPass.setValue(%pass);
		JSP_remPass.setValue(1);
	}

	function JoinServerPassGui::enterPass(%this)
	{
		if(!JSP_RemPass.getValue())
			return parent::enterPass();

		%pass = JSP_txtPass.getValue();
		%js = JS_serverList;
		%ip = getField(%js.getRowText(%js.getRowNumByID(%js.getSelectedID())),9);
		%ip = strReplace(%ip,".","_");
		%ip = strReplace(%ip,":"," ");

		%file = new fileObject();
		%file.openForWrite("config/client/passwords/" @ %ip @ ".txt");
		%file.writeLine(%pass);
		%file.close();
		%file.delete();

		parent::enterPass(%this);
	}
};
activatepackage(RemPass);